%define python3_pkgversion    36

%bcond_with python2

Name:           python-dateutil
Version:        2.7.3
Release:        2.0.1%{?dist}
Summary:        Powerful extensions to the standard datetime module

Group:          Development/Languages
License:        Python
URL:            http://labix.org/python-dateutil
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch

%description 
The dateutil module provides powerful extensions to the standard datetime
module available in Python 2.3+ or python3.6+


%if %{with python3}
%package -n python2-dateutil
Summary:        Powerful extensions to the standard datetime module
BuildRequires:  python2-devel
BuildRequires:  python-setuptools > 24.3
BuildRequires:  python-setuptools_scm
#BuildRequires:  python-sphinx
BuildRequires:  python-six
Requires:       tzdata
Requires:       python-six
Conflicts:      python-vobject <= 0.8.1c-10
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-dateutil
The dateutil module provides powerful extensions to the standard datetime
module available in Python 2.3+.

%endif

%package -n python%{python3_pkgversion}-dateutil
Summary:        Powerful extensions to the standard datetime module
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools > 24.3
BuildRequires:  python%{python3_pkgversion}-setuptools_scm
#BuildRequires:  python%{python3_pkgversion}-sphinx
BuildRequires:  python%{python3_pkgversion}-six
Requires:       tzdata
Requires:       python%{python3_pkgversion}-six
Conflicts:      python%{python3_pkgversion}-vobject <= 0.8.1c-10
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

%description -n python%{python3_pkgversion}-dateutil
The dateutil module provides powerful extensions to the standard datetime
module available in Python 3.6+.



%package doc
Summary: API documentation for python-dateutil
%description doc
This package contains %{summary}.

%prep
%autosetup -p0 -n %{name}-%{version}
iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%build
%if %{with python3}
%{__python2} setup.py build
%endif
%{__python3} setup.py build
#make -C docs html

%install
%if %{with python3}
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
%endif
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT


%if %{with python3}
%files -n python2-dateutil
%license LICENSE
%doc NEWS README.rst
%{python2_sitelib}/dateutil/
%{python2_sitelib}/*.egg-info
%endif

%files -n python%{python3_pkgversion}-dateutil
%license LICENSE
%doc NEWS README.rst
%{python3_sitelib}/dateutil/
%{python3_sitelib}/*.egg-info

%changelog
* Tue Dec 17 2019 Qing Lin <Qing.Lin@oracle.com> 2.7.3-2.0.1
- Added python3 build. 

* Mon Jun 04 2018 Qing Lin <Qing.Lin@oracle.com> 2.7.3-2
- Fixed the build issue. 

* Fri Jun 01 2018 Keshav Sharma <keshav.sharma@oracle.com> 2.7.3-1
- Updated to 2.7.3

* Thu Sep 21 2017 Keshav Sharma <keshav.sharma@oracle.com> 2.5.3-1
- Updated to 2.5.3

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 1.5-7
- Mass rebuild 2013-12-27

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 15 2011 Jef Spaleta <jspaleta@fedoraproject.org> - 1.5-3
- Adjust patch to respect systemwide tzdata. Ref bug 729786

* Thu Sep 15 2011 Jef Spaleta <jspaleta@fedoraproject.org> - 1.5-2
- Added a patch to respect systemwide tzdata. Ref bug 729786

* Wed Jul 13 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.5-1
- New upstream release
- Fix UTF8 encoding correctly
- Drop buildroot, clean, defattr and use macro for Source

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 1.4.1-2
- small specfile fix

* Fri Feb 20 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 1.4.1-2
- New upstream version

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.4-3
- Rebuild for Python 2.6

* Fri Aug 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4-2
- fix license tag

* Tue Jul 01 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 1.4-1
- Latest upstream release 

* Fri Jan 04 2008 Jef Spaleta <jspaleta@fedoraproject.org> 1.2-2
- Fix for egg-info file creation

* Thu Jun 28 2007 Orion Poplawski <orion@cora.nwra.com> 1.2-1
- Update to 1.2

* Mon Dec 11 2006 Jef Spaleta <jspaleta@gmail.com> 1.1-5
- Fix python-devel BR, as per discussion in maintainers-list

* Mon Dec 11 2006 Jef Spaleta <jspaleta@gmail.com> 1.1-4
- Release bump for rebuild against python 2.5 in devel tree

* Wed Jul 26 2006 Orion Poplawski <orion@cora.nwra.com> 1.1-3
- Add patch to fix building on x86_64

* Wed Feb 15 2006 Orion Poplawski <orion@cora.nwra.com> 1.1-2
- Rebuild for gcc/glibc changes

* Thu Dec 22 2005 Orion Poplawski <orion@cora.nwra.com> 1.1-1
- Update to 1.1

* Thu Jul 28 2005 Orion Poplawski <orion@cora.nwra.com> 1.0-1
- Update to 1.0

* Tue Jul 05 2005 Orion Poplawski <orion@cora.nwra.com> 0.9-1
- Initial Fedora Extras package
